Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.caucho.vfs
Class StreamFilter

    java.lang.Object
      |
      +--com.caucho.vfs.StreamImpl
            |
            +--com.caucho.vfs.StreamFilter

public class StreamFilter
extends StreamImpl

Field Summary
`protected StreamImpl` | `next`

Fields inherited from class com.caucho.vfs.StreamImpl
`path`

Constructor Summary
`StreamFilter()`

Method Summary
`boolean` | `canRead()`
`boolean` | `canWrite()`
`void` | `close()`
`void` | `flush()`
`int` | `getAvailable()`
`void` | `init(StreamImpl next)`
`int` | `read(byte[] buffer, int offset, int length)`
`void` | `write(byte[] buffer, int offset, int length)`

Methods inherited from class com.caucho.vfs.StreamImpl
`clearWrite, getAttribute, getAttributeNames, getFlushOnNewline, getNewline, getPath, removeAttribute, setAttribute, setPath, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### next

    protected StreamImpl next

Constructor Detail

### StreamFilter

    public StreamFilter()

Method Detail

### init

    public void init(StreamImpl next)

### canRead

    public boolean canRead()

  Overrides:
    canRead in class StreamImpl

### read

    public int read(byte[] buffer,
                    int offset,
                    int length)
             throws java.io.IOException

  Overrides:
    read in class StreamImpl

### getAvailable

    public int getAvailable()
                     throws java.io.IOException

  Overrides:
    getAvailable in class StreamImpl

### canWrite

    public boolean canWrite()

  Overrides:
    canWrite in class StreamImpl

### write

    public void write(byte[] buffer,
                      int offset,
                      int length)
               throws java.io.IOException

  Overrides:
    write in class StreamImpl

### flush

    public void flush()
               throws java.io.IOException

  Overrides:
    flush in class StreamImpl

### close

    public void close()
               throws java.io.IOException

  Overrides:
    close in class StreamImpl

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD